 %define module	jsbeautifier

Name:		python-%{module}
Version:	1.13.0
Release:	%mkrel 1
Summary:	JavaScript unobfuscator and beautifier
Group:		Development/Python
License:	MIT
URL:		https://github.com/beautify-web/js-beautify
Source0:	https://pypi.io/packages/source/j/jsbeautifier/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
Beautify, unpack or deobfuscate JavaScript.
Handles popular online obfuscators.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	JavaScript unobfuscator and beautifier
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Beautify, unpack or deobfuscate JavaScript.
Handles popular online obfuscators.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{_bindir}/js-beautify
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Sep 24 2020 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1629660
- new version: 1.13.0

* Fri Apr 10 2020 daviddavid <daviddavid> 1.11.0-1.mga8
+ Revision: 1566014
- new version: 1.11.0

* Wed Feb 19 2020 umeabot <umeabot> 1.10.3-2.mga8
+ Revision: 1543909
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 1.10.3-1.mga8
+ Revision: 1482325
- new version: 1.10.3

* Sun Dec 29 2019 daviddavid <daviddavid> 1.10.2-1.mga8
+ Revision: 1474730
- new version: 1.10.2

* Sun Sep 15 2019 daviddavid <daviddavid> 1.9.0-2.mga8
+ Revision: 1441378
- rebuild for python3.8
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1370995
- new version: 1.9.0

* Tue Jan 08 2019 tv <tv> 1.7.5-3.mga7
+ Revision: 1351671
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.7.5-2.mga7
+ Revision: 1289155
- Mageia 7 Mass Rebuild

* Thu Jan 11 2018 daviddavid <daviddavid> 1.7.5-1.mga7
+ Revision: 1192354
- new version: 1.7.5

* Sat Aug 05 2017 pterjan <pterjan> 1.6.4-2.mga7
+ Revision: 1135468
- Rebuild for python 3.6

* Sun Oct 30 2016 daviddavid <daviddavid> 1.6.4-1.mga6
+ Revision: 1064203
- initial package python-jsbeautifier

